/**
 * Application to visualize UTE statistics files.
 */
package UTEStatsViewer;
import java.awt.*;
import java.io.*;
import java.util.*;

public class Main extends WindowGroup {
   Main(boolean exitAtEnd) {
      super(exitAtEnd);
   }


   public static void main(String args[]) {
      (new Main(true)).instanceMain(args);
   }


   public void instanceMain(String args[]) {
      MainFrame frame = null; 
      boolean noneShown = true;

      try {
         // each frame is half the height and width of screen
         int frameWidth = MainFrame.screenSize.width / 2; 
         int frameHeight = MainFrame.screenSize.height / 2; 
   
         if (args.length == 0) {
            frame = new MainFrame(this);
            frame.setSize(frameWidth, frameHeight);
            frame.show();
            noneShown = false;
         } else {
            Frame prevFrame = null;
            for (int i = 0; i < args.length; i++) {
               try {
                  frame = new MainFrame(args[i], this);
                  frame.setSize(frameWidth, frameHeight);
                  if (prevFrame != null) {
                     Point loc = prevFrame.getLocation();
                     MainFrame.cascadeLocation(frame, loc.x, loc.y);
                  }
                  frame.load(new FileReader(args[i]));
                  frame.show();
                  noneShown = false;
                  prevFrame = frame;
               } catch (FileNotFoundException e) {
                  System.err.println(Message.get(e));
               }
            }
         }
      } finally {
         if (noneShown && getExitWhenEmptied()) {
            System.exit(1);
         }
      }
   }
}
